Package org.opensaml.saml.ext.reqattr.impl

# Class RequestedAttributesImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.ext.reqattr.impl.RequestedAttributesImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `RequestedAttributes`

public class RequestedAttributesImpl extends AbstractXMLObject implements RequestedAttributes
A concrete `RequestedAttributes`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XMLObjectChildrenList<RequestedAttribute>`
`requestedAttributes`
The policies.

### Fields inherited from interface org.opensaml.saml.ext.reqattr.RequestedAttributes

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SUPPORTS_REQUESTED_ATTRIBUTES, SUPPORTS_REQUESTED_ATTRIBUTES_LOCAL_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RequestedAttributesImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<RequestedAttribute>`
`getRequestedAttributes()`
Gets a list of child `RequestedAttribute`s.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### requestedAttributes

@Nonnull private XMLObjectChildrenList<RequestedAttribute> requestedAttributes
The policies.

## Constructor Details

### RequestedAttributesImpl

protected RequestedAttributesImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getRequestedAttributes

@Nonnull @Live public List<RequestedAttribute> getRequestedAttributes()
Gets a list of child `RequestedAttribute`s.

Specified by:
  `getRequestedAttributes` in interface `RequestedAttributes`
Returns:
  list of child RequestedAttribute s

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements